Xerces-C++: XSAttributeDeclaration Class Reference

Xerces-C++ 3.2.4

List of all members
XSAttributeDeclaration Class Reference

`#include <xercesc/framework/psvi/XSAttributeDeclaration.hpp>`

Inheritance diagram for XSAttributeDeclaration:

## Public Member Functions
Constructors
| XSAttributeDeclaration (SchemaAttDef *const attDef, XSSimpleTypeDefinition *const typeDef, XSAnnotation *const annot, XSModel *const xsModel, XSConstants::SCOPE scope, XSComplexTypeDefinition *enclosingCTDefinition, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
Destructor
| ~XSAttributeDeclaration ()
overridden XSObject methods
const XMLCh * | getName () const
| The name of type `NCName` of this declaration as defined in XML Namespaces. More...
const XMLCh * | getNamespace () const
| The [target namespace] of this object, or `null` if it is unspecified. More...
XSNamespaceItem * | getNamespaceItem ()
| A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise. More...
Public Member Functions inherited from XSObject
| XSObject (XSConstants::COMPONENT_TYPE compType, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
virtual | ~XSObject ()
XSConstants::COMPONENT_TYPE | getType () const
| The `type` of this object, i.e. More...
virtual XMLSize_t | getId () const
| Optional. More...
void | setId (XMLSize_t id)
| methods needed by implementation More...
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## XSAttributeDeclaration methods
class | XSObjectFactory
SchemaAttDef * | fAttDef
XSSimpleTypeDefinition * | fTypeDefinition
XSAnnotation * | fAnnotation
XSConstants::SCOPE | fScope
XSComplexTypeDefinition * | fEnclosingCTDefinition
XSSimpleTypeDefinition * | getTypeDefinition () const
| [type definition]: A simple type definition More...
XSConstants::SCOPE | getScope () const
| Optional. More...
XSComplexTypeDefinition * | getEnclosingCTDefinition ()
| The complex type definition for locally scoped declarations (see `scope`). More...
XSConstants::VALUE_CONSTRAINT | getConstraintType () const
| Value constraint: one of `VC_NONE, VC_DEFAULT, VC_FIXED`. More...
const XMLCh * | getConstraintValue ()
| Value constraint: The actual value with respect to the [type definition ]. More...
XSAnnotation * | getAnnotation () const
| Optional. More...
bool | getRequired () const
| methods needed by implementation More...

## Additional Inherited Members
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...
Protected Attributes inherited from XSObject
XSConstants::COMPONENT_TYPE | fComponentType
XSModel * | fXSModel
MemoryManager * | fMemoryManager
XMLSize_t | fId

## Constructor & Destructor Documentation

## ◆ XSAttributeDeclaration()

XSAttributeDeclaration::XSAttributeDeclaration | ( | SchemaAttDef *const | attDef,
|  | XSSimpleTypeDefinition *const | typeDef,
|  | XSAnnotation *const | annot,
|  | XSModel *const | xsModel,
|  | XSConstants::SCOPE | scope,
|  | XSComplexTypeDefinition * | enclosingCTDefinition,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

The default constructor.

Parameters

  attDef |
  typeDef |
  annot |
  xsModel |
  scope |
  enclosingCTDefinition |
  manager | The configurable memory manager

## ◆ ~XSAttributeDeclaration()

XSAttributeDeclaration::~XSAttributeDeclaration | ( |  | ) |

## Member Function Documentation

## ◆ getAnnotation()

XSAnnotation * XSAttributeDeclaration::getAnnotation | ( |  | ) | const

Optional.

Annotation.

References fAnnotation.

## ◆ getConstraintType()

XSConstants::VALUE_CONSTRAINT XSAttributeDeclaration::getConstraintType | ( |  | ) | const

Value constraint: one of `VC_NONE, VC_DEFAULT, VC_FIXED`.

## ◆ getConstraintValue()

const XMLCh * XSAttributeDeclaration::getConstraintValue | ( |  | ) |

Value constraint: The actual value with respect to the [type definition ].

## ◆ getEnclosingCTDefinition()

XSComplexTypeDefinition * XSAttributeDeclaration::getEnclosingCTDefinition | ( |  | ) |

The complex type definition for locally scoped declarations (see `scope`).

References fEnclosingCTDefinition.

## ◆ getName()

const XMLCh * XSAttributeDeclaration::getName | ( |  | ) | const
| virtual

The name of type `NCName` of this declaration as defined in XML Namespaces.

Reimplemented from XSObject.

## ◆ getNamespace()

const XMLCh * XSAttributeDeclaration::getNamespace | ( |  | ) | const
| virtual

The [target namespace] of this object, or `null` if it is unspecified.

Reimplemented from XSObject.

## ◆ getNamespaceItem()

XSNamespaceItem * XSAttributeDeclaration::getNamespaceItem | ( |  | ) |
| virtual

A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise.

Reimplemented from XSObject.

## ◆ getRequired()

bool XSAttributeDeclaration::getRequired | ( |  | ) | const

methods needed by implementation

## ◆ getScope()

XSConstants::SCOPE XSAttributeDeclaration::getScope | ( |  | ) | const

Optional.

One of `SCOPE_GLOBAL`, `SCOPE_LOCAL`, or `SCOPE_ABSENT`. If the scope is local, then the `enclosingCTDefinition` is present.

References fScope.

## ◆ getTypeDefinition()

XSSimpleTypeDefinition * XSAttributeDeclaration::getTypeDefinition | ( |  | ) | const

[type definition]: A simple type definition

References fTypeDefinition.

## Friends And Related Function Documentation

## ◆ XSObjectFactory

friend class XSObjectFactory
| friend

## Member Data Documentation

## ◆ fAnnotation

XSAnnotation* XSAttributeDeclaration::fAnnotation
| protected

Referenced by getAnnotation().

## ◆ fAttDef

SchemaAttDef* XSAttributeDeclaration::fAttDef
| protected

## ◆ fEnclosingCTDefinition

XSComplexTypeDefinition* XSAttributeDeclaration::fEnclosingCTDefinition
| protected

Referenced by getEnclosingCTDefinition().

## ◆ fScope

XSConstants::SCOPE XSAttributeDeclaration::fScope
| protected

Referenced by getScope().

## ◆ fTypeDefinition

XSSimpleTypeDefinition* XSAttributeDeclaration::fTypeDefinition
| protected

Referenced by getTypeDefinition().

The documentation for this class was generated from the following file:

- XSAttributeDeclaration.hpp